Bug 979475 - [abrt] yum-3.4.3-95.fc19: sqlitesack.py:395:returnPrco:DatabaseError: database disk image is malformed
Summary: [abrt] yum-3.4.3-95.fc19: sqlitesack.py:395:returnPrco:DatabaseError: databas...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:814ff0f764403bb069cab2773a8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-28 15:56 UTC by mdmpsyd@gmail.com
Modified: 2015-02-17 15:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:44:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.31 KB, text/plain)
2013-06-28 15:56 UTC, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (1.47 KB, text/plain)
2013-06-28 15:56 UTC, mdmpsyd@gmail.com
no flags Details
File: environ (2.81 KB, text/plain)
2013-06-28 15:56 UTC, mdmpsyd@gmail.com
no flags Details

Description mdmpsyd@gmail.com 2013-06-28 15:56:12 UTC
Version-Release number of selected component:
yum-3.4.3-95.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/yum update
executable:     /usr/bin/yum
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
sqlitesack.py:395:returnPrco:DatabaseError: database disk image is malformed

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 172, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1146, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 877, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 996, in _resolveRequires
    thisneeds = self._checkRemove(txmbr)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1111, in _checkRemove
    for pkg, hits in self.tsInfo.getRequires(*prov).iteritems():
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 657, in getRequires
    result.update(self.getNewRequires(name, flag, version))
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 638, in getNewRequires
    for pkg, hits in self._inSack.getRequires(name, flag, version).iteritems():
  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 721, in getRequires
    self._checkIndexes(failure='build')
  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 655, in _checkIndexes
    self.buildIndexes()
  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 855, in buildIndexes
    self._addPackageToIndex(obj)
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 55, in _addPackageToIndex
    for (n, fl, (e,v,r)) in obj.returnPrco('requires'):
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 395, in returnPrco
    for ob in cur:
DatabaseError: database disk image is malformed

Local variables in innermost frame:
cur: <sqlite3.Cursor object at 0x1cb01f0>
printable: False
self: <YumAvailablePackageSqlite : nss-tools-3.15-2.fc19.x86_64 (0x4233790)>
ob: <sqlite3.Row object at 0x485b890>
prcotype: 'requires'
prco_set: ('libnss3.so(NSS_3.9.2)(64bit)', None, (None, None, None))
sql: 'SELECT name, version, release, epoch, flags FROM requires WHERE pkgKey = ?'

Comment 1 mdmpsyd@gmail.com 2013-06-28 15:56:18 UTC
Created attachment 766631 [details]
File: backtrace

Comment 2 mdmpsyd@gmail.com 2013-06-28 15:56:22 UTC
Created attachment 766632 [details]
File: core_backtrace

Comment 3 mdmpsyd@gmail.com 2013-06-28 15:56:25 UTC
Created attachment 766633 [details]
File: environ

Comment 4 Pris Nasrat 2013-07-12 14:43:59 UTC
Thank you for the bug report. The stack trace reported indicates a corruption in the files holding the yum metadata. Please try yum clean all and retry the transaction.

You may also want to check your hardware in case your underlying hard disk is failing.

Comment 5 Fedora End Of Life 2015-01-09 18:34:20 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 15:44:14 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.